<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.DarkActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <style name="width_match_parent_height_wrap_content">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
    </style>

    <style name="width_wrap_height_wrap">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
    </style>

    <style name="width_match_height_match">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
    </style>

    <!--Main Activity main layout style -->
    <style name="main_activity_main_layout_style" parent="width_match_height_match" />

    <!--Main Activity empty view main layout style -->
    <style name="main_activity_empty_view_main_layout_style" parent="width_wrap_height_wrap">
        <item name="android:layout_centerInParent">true</item>
    </style>

    <!--Main Activity image of empty view style -->
    <style name="main_activity_empty_view_image_view_style">
        <item name="android:layout_width">@dimen/empty_view_image_width</item>
        <item name="android:layout_height">@dimen/empty_view_image_height</item>
        <item name="android:layout_centerHorizontal">true</item>
    </style>

    <!--Main Activity text view of empty view style -->
    <style name="main_activity_empty_view_text_view_style" parent="width_wrap_height_wrap">
        <item name="android:layout_below">@+id/empty_product_image</item>
        <item name="android:layout_centerHorizontal">true</item>
        <item name="android:fontFamily">sans-serif-medium</item>
        <item name="android:paddingTop">@dimen/default_padding</item>
        <item name="android:textAppearance">?android:textAppearanceMedium</item>
    </style>

    <!--Main Activity floating button style -->
    <style name="main_activity_floating_button_style" parent="width_wrap_height_wrap">
        <item name="android:layout_alignParentBottom">true</item>
        <item name="android:layout_alignParentEnd">true</item>
        <item name="android:layout_margin">@dimen/default_margin</item>
    </style>


    <!--Edit Activity Main Layout Style -->
    <style name="edit_activity_main_layout_style" parent="width_match_height_match">
        <item name="android:orientation">vertical</item>
        <item name="android:padding">@dimen/default_padding</item>
    </style>

    <!--Edit Activity Scroll View Style -->
    <style name="edit_activity_scroll_view_style" parent="width_match_parent_height_wrap_content">
        <item name="android:layout_marginBottom">@dimen/margin_bottom_scroll_view</item>
    </style>

    <!-- Edit Activity Edit Text Layout Style -->
    <style name="field_edit_text_layout_style_edit_activity" parent="width_match_parent_height_wrap_content">
        <item name="android:layout_marginBottom">@dimen/margin_bottom_text_input_layout</item>
        <item name="android:layout_marginTop">@dimen/margin_top_text_input_layout</item>
    </style>

    <!--Edit Activity Edit Text Style -->
    <style name="edit_activity_edit_text_style" parent="width_match_parent_height_wrap_content">
        <item name="android:maxLines">1</item>
    </style>

    <!--Edit Activity Increment Decrement Quantity Buttons Style -->
    <style name="increment_decrement_button_style">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">.3</item>
    </style>

    <!--Edit Activity Spinner Of Quantity Price Style -->
    <style name="quantity_price_spinner_style">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">@dimen/spinner_height</item>
        <item name="android:layout_weight">1</item>
        <item name="android:spinnerMode">dropdown</item>
    </style>

    <!--Edit Activity Icons of Supplier Organization ,email ,phone and address Style -->
    <style name="image_icons_email_phone_address_style" parent="width_wrap_height_wrap">
        <item name="android:layout_gravity">center</item>
    </style>

    <!--Edit Activity Save Order Button Style -->
    <style name="save_to_inventory_order_email_buttons_style">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">@dimen/button_save_to_inventory_order_height</item>
        <item name="android:layout_weight">1</item>
        <item name="android:padding">@dimen/padding_eight</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/button_save_to_inventory_order_text_size</item>
        <item name="android:layout_marginStart">@dimen/default_margin</item>
        <item name="android:layout_marginEnd">@dimen/default_margin</item>
    </style>

    <!--Editor Activity Attach Image ,  main layout style-->
    <style name="editor_activity_attach_image_main_layout_style" parent="width_match_parent_height_wrap_content">
        <item name="android:layout_margin">@dimen/default_margin</item>
        <item name="android:orientation">horizontal</item>
    </style>

    <!--Editor Activity Attach Image ,style of layout of text view and floating button -->
    <style name="editor_activity_attach_image_text_button_layout_style" parent="width_wrap_height_wrap">
        <item name="android:orientation">vertical</item>
    </style>

    <!--Editor Activity Attach Image , text view style "attach image" -->
    <style name="editor_activity_attach_image_text_view_style" parent="width_wrap_height_wrap" />

    <!--Editor Activity Attach Image , floating button style  -->
    <style name="editor_activity_attach_image_floating_button_style" parent="width_wrap_height_wrap">
        <item name="android:layout_gravity">center</item>
        <item name="android:layout_margin">@dimen/default_margin</item>
    </style>

    <!--Editor Activity Attach Image ,  image view of attached image style-->
    <style name="editor_activity_attach_image_view_style">
        <item name="android:layout_width">@dimen/product_image_width</item>
        <item name="android:layout_height">@dimen/product_image_height</item>
        <item name="android:layout_marginStart">@dimen/default_margin</item>
    </style>


    <!--product List Item main Layout -->
    <style name="main_activity_list_item_main_layout_style" parent="width_match_parent_height_wrap_content">
        <item name="android:orientation">horizontal</item>
        <item name="android:padding">@dimen/default_padding</item>
    </style>

    <!--product List Item image style  -->
    <style name="main_activity_list_item_product_image_style">
        <item name="android:layout_width">@dimen/product_image_width_list_only_item</item>
        <item name="android:layout_height">@dimen/product_image_height_list_only_item</item>
        <item name="android:scaleType">fitXY</item>
    </style>

    <!--product List Item main Layout of product info like name ,quantity ,price and supplier name -->
    <style name="main_activity_list_item_main_product_info_layout_style">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginStart">@dimen/margin_start_ten_dp</item>
        <item name="android:layout_weight">5</item>
        <item name="android:orientation">vertical</item>
    </style>

    <!--product List Item product name style -->
    <style name="main_activity_list_item_product_name_style" parent="width_wrap_height_wrap">
        <item name="android:layout_margin">@dimen/margin_two_dp</item>
        <item name="android:textColor">@color/primary_text</item>
        <item name="android:textSize">@dimen/product_name_text_size</item>
        <item name="android:textStyle">bold</item>
    </style>

    <!--product List Item ,sup layout for each quantity , price ,supplier name style -->
    <style name="main_activity_list_item_quantity_price_supplier_name_layout_style" parent="width_wrap_height_wrap">
        <item name="android:orientation">horizontal</item>
    </style>

    <!--product List Item , text style like quantity text style , price , supplier name  -->
    <style name="main_activity_list_item_text_value_style" parent="width_wrap_height_wrap">
        <item name="android:layout_margin">@dimen/margin_two_dp</item>
    </style>

    <!--product List Item ,main Layout of sale button style -->
    <style name="main_activity_list_item_sale_button_layout_style">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_weight">3</item>
    </style>

    <!--product List Item ,Sale button style -->
    <style name="main_activity_list_item_sale_button_style">
        <item name="android:focusable">false</item>
        <item name="android:focusableInTouchMode">false</item>
        <item name="android:layout_width">@dimen/sale_button_width</item>
        <item name="android:layout_height">@dimen/sale_button_height</item>
        <item name="android:background">@drawable/sale_button_circle_view</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:layout_centerInParent">true</item>
    </style>

</resources>
